List projects
List known projects.
GET
/api/projectResponses
200Success
Array of
ProjectidstringrequiredworktreestringrequiredvcsProject.VcsAllowed:
githgnamestringiconProject.IconShow propertiesHide properties
urlstringoverridestringcolorstringcommandsProject.CommandsShow propertiesHide properties
startstringStartup script to run when creating a new workspace (worktree)
timeProject.TimerequiredShow propertiesHide properties
createdobjectrequiredShow propertiesHide properties
objectupdatedobjectrequiredShow propertiesHide properties
objectinitializedobjectShow propertiesHide properties
objectsandboxesstring[]required400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/project"const response = await fetch("/api/project", {
method: "GET"
});import requests
response = requests.get(
"/api/project",
)Response
[
{
"id": "string",
"worktree": "string",
"vcs": "git",
"name": "string",
"icon": {
"url": "string",
"override": "string",
"color": "string"
},
"commands": {
"start": "string"
},
"time": {
"created": {},
"updated": {},
"initialized": {}
},
"sandboxes": [
"string"
]
}
]{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}